<app-main-nav [ContentType]="1">

  <div align="center" class="main-div container image">
    <div>
      <table align="center">
        <tr>
          <mat-card class="" style="margin: 50px; text-align: center;">
            <table align="center">
              <tr>
                Contract Address : {{Details.contract}}
              </tr>
              <br />
              <tr>
                Last Won Lottery : {{this.Details.winner}}
              </tr>
              <tr>
                Participants Count : {{this.Details.participants}}
              </tr>
              <tr>
                Lottery Amount : {{this.Details.amount}} ETH
              </tr>
              <br />
              <tr>
                My Balance : {{this.Details.balance}} ETH
              </tr>
            </table>
          </mat-card>
        </tr>
        <tr>
          <mat-tab-group dynamicHeight align="center" style="background-color: rgb(255, 255, 255); color: black;">
            <mat-tab align="center" label="Buy New Lottery">
              <mat-card id="card" style="text-align: center;"><br />

                <mat-card-title>
                  Buy Lottery
                </mat-card-title>

                <mat-card-content>

                  <br />
                  <button mat-raised-button style="margin:15px;" (click)= "buyLottery()">Buy</button>

                </mat-card-content>
              </mat-card>
            </mat-tab>
            <mat-tab align="center" label="Claim My Lottery Amount">
              <mat-card id="card" style="text-align: center;"><br />

                <mat-card-title>
                  Claim Your Whole Amount Back
                </mat-card-title>

                <mat-card-content>

                  <br />

                  <button mat-raised-button style="margin:15px; width: fit-content;" (click)="claimAll()">Claim All Lotteries</button>

                </mat-card-content>
              </mat-card>
            </mat-tab>
            <mat-tab align="center" label="My Lottery Tickets">
              <div align="center" class="mat-elevation-z8">
                <table align="center" mat-table [dataSource]="dataSource" style="width: 100%;">

                  <!-- Position Column -->
                  <ng-container matColumnDef="position">
                    <th mat-header-cell *matHeaderCellDef> No. </th>
                    <td mat-cell *matCellDef="let element"> {{element.position}} </td>
                  </ng-container>

                  <!-- Name Column -->
                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef> Ticket Number </th>
                    <td mat-cell *matCellDef="let element"> LOT - {{element.ticket}} </td>
                  </ng-container>

                  <!-- Weight Column -->
                  <ng-container matColumnDef="weight">
                    <th mat-header-cell *matHeaderCellDef> Action </th>
                    <td mat-cell *matCellDef="let element">
                      <button mat-raised-button (click)="claim(element.ticket)">Claim</button> </td>
                  </ng-container>

                  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
              
                <mat-paginator [pageSizeOptions]="[3]" showFirstLastButtons></mat-paginator>
              </div>
            </mat-tab>
          </mat-tab-group>

        </tr>
        <tr>
        </tr>
      </table>
    </div>
  </div>
</app-main-nav>